.\"
.\" Copyright (c) 1996, 2002
.\"	Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that: (1) Redistributions of
.\" source code must retain the above copyright notice, this list of
.\" conditions and the following disclaimer, (2) Redistributions in
.\" binary form must reproduce the above copyright notice, this list
.\" of conditions and the following disclaimer in the documentation
.\" and/or other materials provided with the distribution, (3) All
.\" advertising materials mentioning features or use of this software
.\" must display the following acknowledgment: ``This product includes
.\" software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
.\" The name of the author may not be used to endorse or promote products
.\" derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
.\" WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
.\"
.\" $Id: ifsuex.man,v 1.8 2002/05/07 01:38:50 forys Exp $
.\"
.\" ifsuex - verify user and toggle requested network interface
.\"
.TH IFSUEX 1 "May 6, 2002" "" "Local UNIX Programmer's Manual"
.UC 4
.SH NAME
ifsuex \- change state of network interface
.SH SYNOPSIS
.B ifsuex
[\-vn] \-(u|d) <intf>
.SH DESCRIPTION
.I Ifsuex
is a program which permits users to execute privileged commands
to change the state of the specified network interface.
.PP
Options accepted by
.I ifsuex
are as follows:
.IP \-u
Bring interface up.
.IP \-d
Bring interface down.
.IP \-n
Do not execute command; error checking only.
.IP \-v
Run in verbose mode.
.PP
The user list and interface commands are managed through a single
configuration file (whose path is determined at compile time).
Configuration file lines take the form:
.PP
.nf
.br
.in +4
<keyword> <interface> [<keyword-specific>]
.in
.fi
.PP
Where <keyword> must be one of \fIUp\fR, \fIDown\fR or \fIUser\fR,
and <interface> is a string that denotes a specific network interface.
The optional <keyword-specific> section is either the command to invoke
(for "Up" and "Down"), or a list of permitted users
(for "User").
For a specific <interface>, there must be a single "Up" and "Down"
<keyword>; however, multiple "User" lines are permitted.
Any amount of whitespace constitutes a separator,
empty lines and lines beginning with a pound sign (`#') are ignored, and
the maximum length of a line is 1024 bytes.
.PP
Here is an example configuration file:
.nf
.in +4
#
# PPP Interface 0.
Up      ppp0 /usr/sbin/pppd
Down    ppp0 /usr/local/bin/skill -u root pppd
User    ppp0 catarina forys
#
# TUN Interface 0 (Point-to-Point over GRE tunnel)
Up      tun0 /usr/local/sbin/pptp host.my.domain hostpptp
Down    tun0 /usr/local/bin/skill -INT -u root pptp
User    tun0 forys
.in
.fi
.PP
Upon success (and assuming \-n was not specified), the process image is
overlaid by
.I execve(2).
If the user makes a mistake, exit status is 1,
if a system error occurs, exit status is 2.
If compiled with the
.I syslog
logging option, informational and error messages are logged through
the LOG_USER facility (as well as to the terminal).
.SH "SEE ALSO"
xnetintf(1), execve(2), syslog(3)
.SH "AUTHOR"
Jeff Forys
